#ifndef _qheader_h
#define _qheader_h

typedef struct
{
    long title;                     
    long version;                   
    short width;                    
    short page;                     
    short pagemax;                  
    unsigned char resolution;       
    unsigned char coding;           
    int  stamp;                     
    char tsi[24];                   
    int hint;                       
    long offset;                    
    char lsb;                       
    char dummy[11];                 
} QFAXHEADER, *PQFAXHEADER;

typedef struct
{
    int off;
    short pageno;
    short code;
    short res;
    char page;
    char width;
} OFFREC;

typedef struct __mlist__
{
    struct __mlist__ *next;
    char udata[1];
} MLIST;

typedef struct
{
    MLIST *head;
    MLIST *tail;
} MHEAD;

#ifndef QDOS
#define FNAM_SIZE 128
#else
#define FNAM_SIZE 40
#endif

typedef struct
{
    short ap;
    char  fnam[FNAM_SIZE];
} FLIST;

#ifdef _DCC
#define QFAXTITLE   'QFAX'
#define QFAXNEWFMT  '0.04'
#define QFAXFLSB    '0.05'
#define QFAXFOFF    '0.06'
#define QFAXVERS    '0.07'
#else
#define pack(a,b,c,d) (d + (c << 8) + (b << 16) + (a << 24))
#define QFAXTITLE   pack('Q','F','A','X')
#define QFAXNEWFMT  pack('0','.','0','4')
#define QFAXFLSB    pack('0','.','0','5')
#define QFAXFOFF    pack('0','.','0','6')
#define QFAXVERS    pack('0','.','0','7')
#endif

#define QFAXHEADLEN sizeof(QFAXHEADER)

int CheckRTC (unsigned char);
void InitRTC(short);
int GetFaxRTC(void);

#endif
